------------------------------------------------------------------
2016-07-18 19:03:32 +0200 Martin Preuss
Prepared release 5.6.12.

------------------------------------------------------------------
2016-07-18 18:56:39 +0200 Martin Preuss
Added disabled debug messages to track down a problem.

------------------------------------------------------------------
2016-07-16 00:37:35 +0200 Martin Preuss
SWIFT: Improved handling of ABWA+ and ABWE+ SEPA tags.

------------------------------------------------------------------
2016-07-14 23:45:39 +0200 Martin Preuss
Added handling of new flag AH_USER_FLAGS_TLS_IGN_PREMATURE_CLOSE to dialog.
This flag is now also handled by the "Edit User" dialog.

------------------------------------------------------------------
2016-07-14 22:58:42 +0200 Martin Preuss
Prepared release 5.6.11.

------------------------------------------------------------------
2016-07-14 22:52:21 +0200 Martin Preuss
AqHBCI: Added flag AH_USER_FLAGS_TLS_IGN_PREMATURE_CLOSE
This flag is used to make GWEN ignore a premature close of an SSL
connection by faulty servers.

The built-in special Pin/TAN dialog now handles this flag.

------------------------------------------------------------------
2016-07-09 18:55:24 +0200 Martin Preuss
SWIFT: Check for SEPA tags "ABWA+" and "ABWE+".
"ABWA+" stands for "Abweichender SEPA Auftraggeber" (deviating
remote name) which obviously some banks use instead of the normal fields.

"ABWE+" stands for "Abweichender SEPA Empfaenger (deviating
local name), which we now also read.

------------------------------------------------------------------
2016-05-30 21:58:56 +0200 Elias Oltmanns
AqHBCI: Choose SEPA descriptor for HKCDB supported by AqBanking.

------------------------------------------------------------------
2016-05-29 15:21:49 +0200 Elias Oltmanns
Add support to modify SEPA standing orders to AqBanking and AqHBCI.

------------------------------------------------------------------
2016-05-29 15:18:56 +0200 Elias Oltmanns
AqBanking-CLI: Remove superfluous checks
SEPA conformity and field limit checks are taken care of by the
library. Interactive (gui) applications might perform those checks
themselves and give their users a chance to make corrections as
necessary, but AqBanking-CLI simply aborts which is no more graceful
than what the library does.

------------------------------------------------------------------
2016-05-29 14:58:00 +0200 Elias Oltmanns
AqBanking-CLI: Minor fixes and adjustments
- Allow deleting SEPA standing orders that have not been assigned an
  fiId by the bank (compliant with FinTS 3.0).
- Do not, on the other hand, allow modifying SEPA standing orders
  without an fiId. This seems to be more restrictive than the specs
  but is really the only thing to do safely. There is always the
  option to delete and recreate standing orders in case the bank does
  not asign fiIds.
- Adjust help string for the command sepaSto (a matter of taste, I
  suppose).
- Do some clean up as to what headers are explicitly included.

------------------------------------------------------------------
2016-01-29 14:51:09 +0100 R.Weiner
New Options for 'aqbanking-cli sepasto' (HKCDE/HKCDL/HKCDN)
EXAMPLES:
aqbanking-cli  sepasto  --create .. --firstExecutionDate="20150802" .. (HKCDE)
aqbanking-cli  sepasto  --delete ..  --nextExecutionDate="20160602" .. (HKCDL)
aqbanking-cli  sepasto  --modify ..  --nextExecutionDate="20160602" .. (TODO !)

------------------------------------------------------------------
2016-05-21 15:19:41 +0200 Heiko Becker
Allow using a prefixed cpp
Signed-off-by: Micha Lenk <micha@lenk.info>

------------------------------------------------------------------
2016-04-29 21:53:19 +0200 Martin Preuss
Replace strndup() with our own function to make it work with MinGW.

------------------------------------------------------------------
2016-04-23 18:30:49 +0200 Martin Preuss
Prepared release 5.6.10.

------------------------------------------------------------------
2016-04-18 21:01:06 +0200 Elias Oltmanns
AqHBCI: Minor adjustments to make segment definitions comply with the specs.

------------------------------------------------------------------
2016-04-10 18:27:49 +0200 Martin Preuss
Prepared release 5.6.9beta.

------------------------------------------------------------------
2016-04-05 07:58:01 +0200 Martin Kuehn
ChipTAN: added support for fallback to HHD 1.3.2 if control bytes are missing

------------------------------------------------------------------
2016-03-23 22:45:50 +0100 Martin Preuss
Moved AB_Transaction_SetEndToEndReference() to the right place.

------------------------------------------------------------------
2016-03-13 16:21:11 +0100 Martin Preuss
aqbanking-cli: Added option "ignoreUnsupported".
This is used with the command "aqbanking-cli request" to make the tool
ignore requests for accounts which don't support them.

Without this option an error is returned if a request is made for an account
which does not support that request (i.e. requesting transactions for
unsupported accounts).

------------------------------------------------------------------
2016-03-11 00:17:40 +0100 Martin Preuss
Prepared release 5.6.8beta.

------------------------------------------------------------------
2016-03-11 00:16:11 +0100 Martin Preuss
This should now really fix the comDirect problem...

------------------------------------------------------------------
2016-03-10 18:32:01 +0100 Martin Preuss
Prepared release 5.6.7beta.

------------------------------------------------------------------
2016-03-10 18:29:16 +0100 Martin Preuss
Slightly increased verbosity.

------------------------------------------------------------------
2016-03-10 18:17:56 +0100 Martin Preuss
AqHBCI: Fixed another problem with sub account ids.
Some banks distinguish multiple accounts by a sub id ("Unterkontomerkmal"),
which wasn't properly appreciated by some account jobs.

------------------------------------------------------------------
2016-03-08 22:09:46 +0100 Christian Stimming
Updated German translation.
Merged sourcecode of 5.6.5 and updated some messages.

------------------------------------------------------------------
2016-03-04 17:24:53 +0100 Martin Preuss
aqbanking-cli: Added option to specify "endToEnd reference".
Use option "-E XXX" or "--endtoendid=XXX" to specify the SEPA
end-to-end-reference.

------------------------------------------------------------------
2016-03-04 17:13:40 +0100 Martin Preuss
Added "endToEndReference" to CSV profile "full"

------------------------------------------------------------------
2016-03-01 21:38:28 +0100 Martin Preuss
Fixed version numbers...

------------------------------------------------------------------
2016-03-01 20:23:21 +0100 Martin Preuss
Prepared release 5.6.5beta.

------------------------------------------------------------------
2016-02-08 22:12:09 +0100 Martin Preuss
Incremented version.

------------------------------------------------------------------
2016-02-08 22:11:53 +0100 Martin Preuss
SWIFT/HBCI: Derive remote IBAN from remote account id
Even though the SWIFT field "?38" was specified to receive the remote IBAN
none of my banks use it. In fact, they just send the remote IBAN inside the
normal account info fields as account number.

The parser and AqHBCI now detect this and set the remove IBAN accordingly.

------------------------------------------------------------------
2016-02-03 20:29:16 +0100 Martin Preuss
AqHBCI: Probably fixed a problem with ComDirect bank (and possibly others).
The problem was that we only used the account id when handling UPD data
and we didn't take into account the "Unterkontomerkmal".

When banks send UPD data for multiple accounts which have the same account id
(albeit different "Unterkontomerkmal") they all resolved into one UPD group.
This clearly is a bug because those accounts have different command sets
(e.g. you can't transfer money from a virtual bank credit account etc).

This should be fixed now.

------------------------------------------------------------------
2016-01-15 14:01:00 +0100 Christian Dávid
Improved cmake config file
Now an target "aqbanking::aqbanking" is imported for easy usage.
Also the used gwenhywfar version is checked.

------------------------------------------------------------------
2016-01-07 20:49:24 +0100 Martin Preuss
Prepared release 5.6.4beta.

------------------------------------------------------------------
2016-01-07 20:43:08 +0100 Martin Preuss
Fixed a bug in XML description file.
I don't know where this bug comes from... It leads to the secProfile/version
being put into the HNVSK segment multiple times...

The netbank server is quite gentle about this as it just ignores the additional
elements, other servers aren't that forgiving.

------------------------------------------------------------------
2016-01-06 19:23:02 +0100 Martin Preuss
Work on bug #190.

------------------------------------------------------------------
2015-12-27 13:31:01 +0100 Martin Preuss
AqHBCI: Use the correct mode specification in HNVSK for PIN/TAN.

------------------------------------------------------------------
2015-12-27 13:30:23 +0100 Martin Preuss
Added some remarks.

------------------------------------------------------------------
2015-12-20 20:45:34 +0100 Martin Preuss
Fixed a "off-by-one" error (report and patch by Martin Kuehn, thanks!!).

------------------------------------------------------------------
2015-12-20 17:42:34 +0100 Martin Preuss
AqHBCI: Work on job AH_Job_SepaStandingOrdersGet.
The job should now be able to import standings orders. The next step will
be to create an importer for various SEPA formats (starting with
PAIN 001.001.02 because that's what my bank delivers).

------------------------------------------------------------------
2015-12-20 17:40:50 +0100 Martin Preuss
Removed umlaut from comment (messes with eFTE).

------------------------------------------------------------------
2015-12-15 18:00:10 +0100 Martin Preuss
Reorganized some file in aqhbci.
Each code file should be compiled by its own, including of source files
should be minimized.

------------------------------------------------------------------
2015-11-17 12:22:49 -0500 R.Weiner
Deleted Comments (superfluous) in HKCDL
Delete test-printf() in jobsepastandingordercreate.c

------------------------------------------------------------------
2015-11-13 21:08:40 +0100 Martin Preuss
Prepared release 5.6.3beta.

------------------------------------------------------------------
2015-10-27 16:47:38 -0400 R.Weiner
NEW: HKCDL for SEPA
        Patch (sequential of '0000-NEW-HKCDL-for-SEPA.patch')
        5 Files added.

------------------------------------------------------------------
2015-10-27 16:47:38 -0400 R.Weiner
NEW: HKCDL for SEPA
	Use of aqbanking-cli sepacreatesto for HKCDE and HKCDL:
	HKCDE: aqbanking-cli sepacreatesto ..
	HKCDL: aqbanking-cli sepacreatesto ..  --fiId=<xxx>
	In separecurtransfer.c you can find a new if-else-statment to distinguish
	between CreateStandingOrder and DeleteStandingOrder.

------------------------------------------------------------------
2015-11-13 20:26:36 +0100 Martin Preuss
Fixed last patch (fixed mixing of variable definitions and code).

------------------------------------------------------------------
2015-11-13 20:24:09 +0100 Martin Preuss
Applied a patch submitted by martin.m.kuehn.

------------------------------------------------------------------
2015-11-09 22:36:44 +0100 Martin Preuss
Prepared release 5.6.2beta.

------------------------------------------------------------------
2015-11-09 22:35:37 +0100 Martin Preuss
Fixed another bug in HHD code for version 1.4 (as suggested by Martin Kuehn).

------------------------------------------------------------------
2015-11-06 23:26:07 +0100 Martin Preuss
Fixed a bug in HHD1.4 flicker code setup.

------------------------------------------------------------------
2015-10-26 19:43:02 +0100 Martin Preuss
Adjusted size of challengeHUD field.

------------------------------------------------------------------
2015-07-13 21:42:48 +0200 Micha Lenk
Make contents of listdoc.h reproducible
There is a Debian initiative working on making builds reproducible, i.e. to
make it possible to reproduce byte-for-byte identical binary packages from a
given source. https://wiki.debian.org/ReproducibleBuilds

The contents of listdoc.h is generated by the output of "find include -name
'*.h'". Unfortunately the output of this command depends on readdir()'s output,
which in general is non-deterministic. Under some yet unknown conditions this
can result in unreproducible API documentation for Gwenhywfar. By sorting the
output of "find" the generated API documentation should become reliably
reproducible.

------------------------------------------------------------------
2015-06-01 19:16:43 +0200 Martin Preuss
Disabled debug output again.

------------------------------------------------------------------
2015-06-01 19:16:18 +0200 Martin Preuss
Hmm, the problem with SEPA tags in SWIFT parser is more persistent than I thought...
Should be fixed now.

------------------------------------------------------------------
2015-06-01 18:33:09 +0200 Martin Preuss
Prepared release 5.6.1beta.

------------------------------------------------------------------
2015-05-31 16:22:55 +0200 Martin Preuss
Removed unneeded code.

------------------------------------------------------------------
2015-05-31 16:11:46 +0200 Martin Preuss
SWIFT: Really fixed the no-SEPA-tags problem.
Even if there is no real SEPA tag, the code always creates a "_purpose"
variable ion dbSepaTags, so a simple test for an empty dbSepaTags isn't
enough...

------------------------------------------------------------------
2015-05-31 15:50:40 +0200 Martin Preuss
SWIFT_Parser: Fixed a problem with transaction without SEPA tags.
If a transaction does not contain SEPA tags then the purpose strings
are handles as before.

------------------------------------------------------------------
2015-05-31 14:34:19 +0200 Matthias Gehre
AcHBCI: DKKKU: Set FiId from "Referenz"

------------------------------------------------------------------
2015-05-31 13:07:16 +0200 Matthias Gehre
AqHBCI: Update of DKKKU to handle additional purpose lines

------------------------------------------------------------------
2015-05-25 18:33:24 +0200 Martin Preuss
Prepared release 5.6.0beta.

------------------------------------------------------------------
2015-05-25 18:33:12 +0200 Martin Preuss
Updated German bank data.

------------------------------------------------------------------
2015-05-25 13:23:32 +0200 Elias Oltmanns
AqHBCI: Add support for COR1 SEPA multi debit notes.

------------------------------------------------------------------
2015-05-25 11:39:30 +0200 Elias Oltmanns
AqHBCI: Remove autogenerated file from repository
Commit 35292bfb erroneously added plugin/ajobs/accountjobs.xml to the
repository. Just drop it again and adjust the corresponding entry in
.gitignore instead.

------------------------------------------------------------------
2015-05-20 21:51:40 +0200 Martin Preuss
Fixed a memory leak.
Correctly fixes a memory leak regarding "ctx".

------------------------------------------------------------------
2015-05-20 21:32:24 +0200 Martin Preuss
Partly revert a patch: Removed an errornous call to GWEN_Crypt_Token_Context_free().
The object "ctx" ist still used after that call, because we use some
variables later which are stored inside the "ctx" object (e.g.  in
"luserId" etc). So we must not free the object at that point...

------------------------------------------------------------------
2015-05-17 18:51:51 +0200 Martin Preuss
Disabled debugging code.

------------------------------------------------------------------
2015-05-17 18:51:23 +0200 Martin Preuss
Removed unneeded code.

------------------------------------------------------------------
2015-05-17 13:18:34 +0200 Martin Preuss
Minor fix of SWIFT parser.
Manually add purpose string outside a SEPA field as its own purpose line.

------------------------------------------------------------------
2015-05-17 12:28:12 +0200 Martin Preuss
Mainly a test for the CVS mailing list.

------------------------------------------------------------------
2015-05-17 12:19:55 +0200 Martin Preuss
Removes some unneeded preprocessor commands.

------------------------------------------------------------------
2015-05-17 12:16:04 +0200 Martin Preuss
Adapted SWIFT MT940 parser to bad behavior of some bank servers.
Some banks - namely Sparda bank - don't adhere to the specs which state
that SEPA fields (e.g. "EREF+") must start at SWIFT groups (e.g. "?20").
However, those banks put those SEPA tags anywere inside the SWIFT groups,
so we need to concatenate all the purpose lines and cut out the SEPA fields
by ourselves.

This WILL change the output for those banks so that know the important
information gets extracted now. This should not change the output for
banks which already behave according to the specs (at least it does not
for Sparkasse Wilhelmshaven, which always followed the specs here).

------------------------------------------------------------------
2015-05-16 14:37:54 +0200 Micha Lenk
Re-work Compiler Symbol Visibility Check
This was inspired by http://stackoverflow.com/questions/5987219/best-practices-for-probing-for-symbol-visibility-extensions-in-autoconf

------------------------------------------------------------------
2015-05-15 19:24:47 +0000 Micha Lenk
Fix symbol visibilty check for GCC 5.x
GCC 5.x supports the -fvisibility=hidden flag too.

------------------------------------------------------------------
2015-05-10 17:08:40 +0200 Micha Lenk
Drop unsubstituted variables from aqbanking.pc.in
These variables are currently not substituted by ./configure, so they could not
have worked for quite a while.

Taking a closer look:
- aqhbci_plugindir isn't defined by configure.ac
- aqhbci_datadir referred to @aqhbci_data@, i.e. a typo
- qbanking_libs, qbanking_datadir, q4banking_libs and q4banking_datadir refer
  to the gone frontend libraries qbanking and q4banking.

------------------------------------------------------------------
2015-05-10 14:36:48 +0200 Micha Lenk
Add configure option --with-build-datetime for fixed build timestamps
With free software, anyone can inspect the source code for malicious flaws. But
Debian provide binary packages to its users. The idea of “deterministic” or
“reproducible” builds is to empower anyone to verify that no flaws have been
introduced during the build process by reproducing byte-for-byte identical
binary packages from a given source.
See also https://wiki.debian.org/ReproducibleBuilds/About

To support this idea, AqBanking should avoid adding timestamps to generated
build artifacts. Currently it uses the DATETIME variable based on the output of
`date +"%Y%m%d%H%M%S"' to auto-generate a version string for aqhbci.xml (see
src/plugins/backends/aqhbci/plugin/header.xml.in line 4). Specifying this
option the build system can influence this variable, so that the Debian
packaging can ensure the same value is generated when building the same source
package at a later time.

------------------------------------------------------------------
2015-05-04 00:03:33 +0200 Micha Lenk
Revert "Disable timestamps in HTML pages generated by Doxygen"
This reverts commit 214dad250316f00f55b9dcb21b3ed8ad74d02cf1.

Debian's Doxygen as of version 1.8.9.1-3 will have this disabled by default, so
this change is not needed anymore.

------------------------------------------------------------------
2015-04-13 19:35:45 +0200 Micha Lenk
Disable timestamps in HTML pages generated by Doxygen
There is a Debian initiative working on making builds reproducible, i.e. to
make it possible to reproduce byte-for-byte identical binary packages from a
given source. https://wiki.debian.org/ReproducibleBuilds

One reason why AqBanking currently is not reproducible is the use of timestamps
in HTML pages generated by Doxygen. More details about this particular issue
can be found here:
https://wiki.debian.org/ReproducibleBuilds/TimestampsInDocumentationGeneratedByDoxygen

------------------------------------------------------------------
2015-04-05 10:43:47 +0200 Christian Stimming
document functions and log levels

------------------------------------------------------------------
2015-03-09 20:52:03 +0100 Tomas Pospisek
rename AHB_SWIFT__ReadDocument to AHB_SWIFT_ReadTextBlock

------------------------------------------------------------------
2015-02-01 22:22:21 +0100 Micha Lenk
Force effective SONAME bump in next release
This is needed because some symbols that were released in an earlier
release got dropped in commit 2caec44c464b8894eba6075b3257bf79e276f922.

------------------------------------------------------------------
2015-01-07 21:24:53 +0100 Martin Preuss
Decreased verbosity even more.
Apparently this message shows more often than I expected, and it is quite
annoying. So I decreased the verbosity to only show this message if the
loglevel is INFO or more.

------------------------------------------------------------------
2015-01-07 20:53:39 +0100 Christian Stimming
Decreate aqbanking logger verbosity: Set the initial "notice" value only if the logger did not yet exist.
If the logger already exists, this is most likely because the
application already set some LogLevel, and this shouldn't be
overridden here.

------------------------------------------------------------------
2015-01-02 21:30:42 +0100 Martin Preuss
Prepared release 5.5.1

------------------------------------------------------------------
2014-11-11 22:41:16 +0100 Martin Preuss
Reworked SWIFT MT940 parser.
The Netbank/Sparda server is extremely nasty: The FinTS specs state, that
a new SEPA identifier must start in a new SWIFT subfield ("?20" etc).
However, this server just sends the SEPA multiple tags like "EREF+" et al
within a single subfield, so our parser, adhering to the specs, can't parse
the purpose string from this server...

The next step will have to be to just concatenate all purpose-related subfields
and try to read those SEPA tags from a single line. This is extremely ugly,
and it will also significantly slow down the parser, and all that because
those banking IT guys can't adhere to the specs which are extremely clean
regarding this point...

------------------------------------------------------------------
2014-11-11 22:06:00 +0100 Martin Preuss
SWIFT Parser: Removed old code.

------------------------------------------------------------------
2014-08-19 21:54:10 +0200 Rudi Weiner
Add HKDAL in aqbanking-cli

------------------------------------------------------------------
2014-10-08 20:42:48 +0200 Christian Stimming
Extend aqhbci-tool "listaccounts" to optionally also show subAccountId and UniqueId.

------------------------------------------------------------------
2014-10-06 20:49:29 +0200 Christian Stimming
Fix erroneous double-free when aborting the multijobs.

------------------------------------------------------------------
2014-09-27 23:30:01 +0200 Christian Stimming
Code refactoring: Cover multi-transfers and multi-debitnotes by the same command implementation.
The actual source code differences were really only the
AB_JobSepa** creation call, so this could easily be merged into
one command implementation.

------------------------------------------------------------------
2014-09-26 23:06:36 +0200 Christian Stimming
Improve error handling in sepadebitnotes: Parse through all transactions, showing all errors, and only abort before actually executing.

------------------------------------------------------------------
2014-09-26 22:58:37 +0200 Christian Stimming
Fix wrong check of IBAN codes: A failed checksum check was errorneously ignored.

------------------------------------------------------------------
2014-09-24 22:12:34 +0200 Christian Stimming
Fix default profileName of sepadebitnotes. Fix documentation string.
Pointed out by Claus-Justus Heine <himself@claus-justus-heine.de>.

------------------------------------------------------------------
2014-09-23 22:34:50 +0200 Christian Stimming
Add option in sepadebitnotes to use COR1 version in multi debit note job.

------------------------------------------------------------------
2014-09-23 22:32:46 +0200 Christian Stimming
Minor refactoring: Merge almost identical command calling code into one file and an extra function argument.

------------------------------------------------------------------
2014-09-23 11:57:58 +0200 Micha Lenk
Small corrections in German translation
This was originally reported as Debian bug #762374
by Mechtilde <ooo@mechtilde.de>.

https://bugs.debian.org/762374

------------------------------------------------------------------
2014-09-22 23:03:37 +0200 Christian Stimming
Fix command line help: Let all commands appear as help text. Sort help and commands in identical order.

------------------------------------------------------------------
2014-09-21 22:25:58 +0200 Christian Stimming
Add useful error message if profile file cannot be parsed.
